NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::GeometricUtilities::CircularCrossSection Class Reference

Represents a circular section data for face blend. More...

Inheritance diagram for NXOpen::GeometricUtilities::CircularCrossSection:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::GeometricUtilities::LawBuilderLawControl ()
 Returns the Law builder
Created in NX5.0.0. More...
 
NXOpen::ExpressionRadius ()
 Returns the radius for the circular section with face blend. More...
 
NXOpen::GeometricUtilities::RadiusMethod RadiusOption ()
 Returns the radius option for the circular section with face blend. More...
 
void SetLawControlConstantRadius (const NXString &radius)
 Sets a constant radius for the law control of the circular section with face blend. More...
 
void SetLawControlConstantRadius (const char *radius)
 Sets a constant radius for the law control of the circular section with face blend. More...
 
void SetLawControlEndRadius (const NXString &radius)
 Sets a end radius for the law control of the circular section with face blend. More...
 
void SetLawControlEndRadius (const char *radius)
 Sets a end radius for the law control of the circular section with face blend. More...
 
void SetLawControlStartRadius (const NXString &radius)
 Sets a start radius for the law control of the circular section with face blend. More...
 
void SetLawControlStartRadius (const char *radius)
 Sets a start radius for the law control of the circular section with face blend. More...
 
void SetRadius (const NXString &radius)
 Sets a radius for the circular section with face blend. More...
 
void SetRadius (const char *radius)
 Sets a radius for the circular section with face blend. More...
 
void SetRadiusOption (NXOpen::GeometricUtilities::RadiusMethod method)
 Sets the radius option for the circular section with face blend. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a circular section data for face blend.


Created in NX4.0.0.

Member Function Documentation

NXOpen::GeometricUtilities::LawBuilder* NXOpen::GeometricUtilities::CircularCrossSection::LawControl ( )

Returns the Law builder
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::CircularCrossSection::Radius ( )

Returns the radius for the circular section with face blend.


Created in NX4.0.0.

License requirements : None

NXOpen::GeometricUtilities::RadiusMethod NXOpen::GeometricUtilities::CircularCrossSection::RadiusOption ( )

Returns the radius option for the circular section with face blend.


Created in NX4.0.0.

License requirements : None

void NXOpen::GeometricUtilities::CircularCrossSection::SetLawControlConstantRadius ( const NXString radius)

Sets a constant radius for the law control of the circular section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::CircularCrossSection::SetLawControlConstantRadius ( const char *  radius)

Sets a constant radius for the law control of the circular section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::CircularCrossSection::SetLawControlEndRadius ( const NXString radius)

Sets a end radius for the law control of the circular section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::CircularCrossSection::SetLawControlEndRadius ( const char *  radius)

Sets a end radius for the law control of the circular section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::CircularCrossSection::SetLawControlStartRadius ( const NXString radius)

Sets a start radius for the law control of the circular section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::CircularCrossSection::SetLawControlStartRadius ( const char *  radius)

Sets a start radius for the law control of the circular section with face blend.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusThe value to be set
void NXOpen::GeometricUtilities::CircularCrossSection::SetRadius ( const NXString radius)

Sets a radius for the circular section with face blend.


Deprecated:
Deprecated in NX9.0.0. To set the value of the expression modify the expression directly using GeometricUtilities::CircularCrossSection::Radius and Expression::SetRightHandSide .


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusradius
void NXOpen::GeometricUtilities::CircularCrossSection::SetRadius ( const char *  radius)

Sets a radius for the circular section with face blend.


Deprecated:
Deprecated in NX9.0.0. To set the value of the expression modify the expression directly using GeometricUtilities::CircularCrossSection::Radius and Expression::SetRightHandSide .


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusradius
void NXOpen::GeometricUtilities::CircularCrossSection::SetRadiusOption ( NXOpen::GeometricUtilities::RadiusMethod  method)

Sets the radius option for the circular section with face blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
methodmethod
virtual bool NXOpen::GeometricUtilities::CircularCrossSection::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.